<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\ActivityBundle\Tests\Export\Export;

use Chill\MainBundle\Test\Export\AbstractExportTest;

/**
 * Test the "sum" part of StatActivityDuration.
 *
 * @internal
 * @coversNothing
 */
final class StatActivityDurationSumTest extends AbstractExportTest
{
    /**
     * @var \Chill\ActivityBundle\Export\Export\StatActivityDuration
     */
    private $export;

    protected function setUp(): void
    {
        self::bootKernel();

        /** @var \Symfony\Component\DependencyInjection\ContainerInterface $container */
        $container = self::$kernel->getContainer();

        $this->export = $container->get('chill.activity.export.sum_activity_duration');
    }

    public function getExport()
    {
        return $this->export;
    }

    public function getFormData()
    {
        return [
            [],
        ];
    }

    public function getModifiersCombination()
    {
        return [
            ['activity'],
            ['activity', 'person'],
        ];
    }
}
