<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\BudgetBundle\Entity;

use Chill\MainBundle\Entity\Center;
use Chill\MainBundle\Entity\HasCenterInterface;
use DateTimeImmutable;
use Doctrine\ORM\Mapping as ORM;

/**
 * Resource.
 *
 * @ORM\Table(name="chill_budget.resource")
 * @ORM\Entity(repositoryClass="Chill\BudgetBundle\Repository\ResourceRepository")
 */
class Resource extends AbstractElement implements HasCenterInterface
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    public function __construct()
    {
        $this->setStartDate(new DateTimeImmutable('today'));
    }

    public function getCenter(): ?Center
    {
        return $this->getPerson()->getCenter();
    }

    /**
     * Get id.
     *
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    public function isCharge(): bool
    {
        return false;
    }

    public function isResource(): bool
    {
        return true;
    }
}
