<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\CalendarBundle\Controller;

use Chill\MainBundle\CRUD\Controller\ApiController;
use Symfony\Component\HttpFoundation\Request;

class CalendarAPIController extends ApiController
{
    protected function customizeQuery(string $action, Request $request, $qb): void
    {
        if ($request->query->has('main_user')) {
            $qb->where('e.mainUser = :main_user')
                ->setParameter('main_user', $request->query->get('main_user'));
        }
    }

    protected function getContextForSerialization(string $action, Request $request, string $_format, $entity): array
    {
        switch ($action) {
            case '_index':
                switch ($request->getMethod()) {
                    case Request::METHOD_GET:
                        return ['groups' => ['calendar:read']];
                }
        }

        return parent::getContextForSerialization($action, $request, $_format, $entity);
    }
}
