<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\CalendarBundle\DataFixtures\ORM;

use Chill\CalendarBundle\Entity\Invite;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Bundle\FixturesBundle\FixtureGroupInterface;
use Doctrine\Persistence\ObjectManager;

class LoadInvite extends Fixture implements FixtureGroupInterface
{
    public static $references = [];

    public static function getGroups(): array
    {
        return ['calendar'];
    }

    public function getOrder(): int
    {
        return 40002;
    }

    public function load(ObjectManager $manager): void
    {
        $arr = [
            ['name' => ['fr' => 'Rendez-vous décliné']],
            ['name' => ['fr' => 'Rendez-vous accepté']],
        ];

        foreach ($arr as $a) {
            echo 'Creating calendar invite : ' . $a['name']['fr'] . "\n";
            $invite = (new Invite())
                ->setStatus($a['name']);
            $manager->persist($invite);
            $reference = 'Invite_' . $a['name']['fr'];
            $this->addReference($reference, $invite);
            static::$references[] = $reference;
        }

        $manager->flush();
    }
}
