<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\CalendarBundle\Entity;

use Chill\CalendarBundle\Repository\CalendarRangeRepository;
use Chill\MainBundle\Entity\User;
use DateTimeImmutable;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation\Groups;

/**
 * @ORM\Table(name="chill_calendar.calendar_range")
 * @ORM\Entity(repositoryClass=CalendarRangeRepository::class)
 */
class CalendarRange
{
    /**
     * @ORM\OneToMany(targetEntity=Calendar::class,
     * mappedBy="calendarRange")
     */
    private Collection $calendars;

    /**
     * @ORM\Column(type="datetimetz_immutable")
     * @groups({"read", "write"})
     */
    private ?DateTimeImmutable $endDate = null;

    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     * @groups({"read"})
     */
    private $id;

    /**
     * @ORM\Column(type="datetimetz_immutable")
     * @groups({"read", "write"})
     */
    private ?DateTimeImmutable $startDate = null;

    /**
     * @ORM\ManyToOne(targetEntity="Chill\MainBundle\Entity\User")
     * @groups({"read", "write"})
     */
    private ?User $user = null;

    //TODO Lieu

    public function __construct()
    {
        $this->calendars = new ArrayCollection();
    }

    public function getEndDate(): ?DateTimeImmutable
    {
        return $this->endDate;
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getStartDate(): ?DateTimeImmutable
    {
        return $this->startDate;
    }

    public function getUser(): ?User
    {
        return $this->user;
    }

    public function setEndDate(DateTimeImmutable $endDate): self
    {
        $this->endDate = $endDate;

        return $this;
    }

    public function setStartDate(DateTimeImmutable $startDate): self
    {
        $this->startDate = $startDate;

        return $this;
    }

    public function setUser(?User $user): self
    {
        $this->user = $user;

        return $this;
    }
}
