<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\Migrations\Calendar;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Alter startDate and endDate to datetimetz_immutable on calendarRange.
 */
final class Version20210723142842 extends AbstractMigration
{
    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_calendar.calendar_range ALTER startDate TYPE DATE');
        $this->addSql('ALTER TABLE chill_calendar.calendar_range ALTER startDate DROP DEFAULT');
        $this->addSql('ALTER TABLE chill_calendar.calendar_range ALTER endDate TYPE DATE');
        $this->addSql('ALTER TABLE chill_calendar.calendar_range ALTER endDate DROP DEFAULT');
        $this->addSql('COMMENT ON COLUMN chill_calendar.calendar_range.startdate IS \'(DC2Type:date_immutable)\'');
        $this->addSql('COMMENT ON COLUMN chill_calendar.calendar_range.enddate IS \'(DC2Type:date_immutable)\'');
    }

    public function getDescription(): string
    {
        return 'Alter startDate and endDate to datetimetz_immutable on calendarRange';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE chill_calendar.calendar_range ALTER startdate TYPE TIMESTAMP(0) WITH TIME ZONE');
        $this->addSql('ALTER TABLE chill_calendar.calendar_range ALTER startdate DROP DEFAULT');
        $this->addSql('ALTER TABLE chill_calendar.calendar_range ALTER enddate TYPE TIMESTAMP(0) WITH TIME ZONE');
        $this->addSql('ALTER TABLE chill_calendar.calendar_range ALTER enddate DROP DEFAULT');
        $this->addSql('COMMENT ON COLUMN chill_calendar.calendar_range.startDate IS \'(DC2Type:datetimetz_immutable)\'');
        $this->addSql('COMMENT ON COLUMN chill_calendar.calendar_range.endDate IS \'(DC2Type:datetimetz_immutable)\'');
    }
}
