<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\DocGeneratorBundle\Context;

use Chill\DocGeneratorBundle\Entity\DocGeneratorTemplate;
use Symfony\Component\Form\FormBuilderInterface;

interface DocGeneratorContextWithPublicFormInterface extends DocGeneratorContextInterface
{
    /**
     * Generate the form that display.
     *
     * @param mixed $entity
     */
    public function buildPublicForm(FormBuilderInterface $builder, DocGeneratorTemplate $template, $entity): void;

    public function getFormData(DocGeneratorTemplate $template, $entity): array;

    /**
     * has form.
     *
     * @param mixed $entity
     */
    public function hasPublicForm(DocGeneratorTemplate $template, $entity): bool;
}
