<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\FamilyMembersBundle\Form;

use Chill\MainBundle\Form\Type\ChillCollectionType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\OptionsResolver\OptionsResolver;

class FamilyMembersType extends AbstractType
{
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'entry_type' => FamilyMemberType::class,
            'entry_options' => [
                'show_start_date' => true,
                'show_end_date' => true,
            ],
            'allow_add' => true,
            'allow_delete' => true,
            'button_add_label' => 'Ajouter un membre',
            'button_remove_label' => 'Enlever ce membre',
        ]);
    }

    public function getParent()
    {
        return ChillCollectionType::class;
    }
}
