<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\DependencyInjection\CompilerPass;

use LogicException;
use Symfony\Component\DependencyInjection\Compiler\CompilerPassInterface;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Reference;

class GroupingCenterCompilerPass implements CompilerPassInterface
{
    public function process(ContainerBuilder $container)
    {
        if (false === $container->hasDefinition('chill.main.form.pick_centers_type')) {
            throw new LogicException('The service chill.main.form.pick_centers_type does '
                . 'not exists in container');
        }

        $pickCenterType = $container->getDefinition('chill.main.form.pick_centers_type');

        foreach ($container->findTaggedServiceIds('chill.grouping_center') as $serviceId => $tagged) {
            $pickCenterType->addMethodCall(
                'addGroupingCenter',
                [new Reference($serviceId)]
            );
        }
    }
}
