<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Export;

use Symfony\Component\Security\Core\Role\Role;

interface DirectExportInterface extends ExportElementInterface
{
    /**
     * Generate the export.
     *
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function generate(array $acl, array $data = []);

    /**
     * get a description, which will be used in UI (and translated).
     *
     * @return string
     */
    public function getDescription();

    /**
     * authorized role.
     *
     * @return \Symfony\Component\Security\Core\Role\Role
     */
    public function requiredRole();
}
