<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Export;

use Symfony\Component\Form\FormBuilderInterface;

/**
 * The common methods between different object used to build export (i.e. : ExportInterface,
 * FilterInterface, AggregatorInterface).
 */
interface ExportElementInterface
{
    /**
     * Add a form to collect data from the user.
     */
    public function buildForm(FormBuilderInterface $builder);

    /**
     * get a title, which will be used in UI (and translated).
     *
     * @return string
     */
    public function getTitle();
}
