<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Form\Event;

use Symfony\Component\Form\FormBuilderInterface;

class CustomizeFormEvent extends \Symfony\Component\EventDispatcher\Event
{
    public const NAME = 'chill_main.customize_form';

    protected FormBuilderInterface $builder;

    protected string $type;

    public function __construct(string $type, FormBuilderInterface $builder)
    {
        $this->type = $type;
        $this->builder = $builder;
    }

    public function getBuilder(): FormBuilderInterface
    {
        return $this->builder;
    }

    public function getType(): string
    {
        return $this->type;
    }
}
