<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Form\Type;

use Chill\MainBundle\Entity\Center;
use Chill\MainBundle\Entity\PermissionsGroup;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ComposedGroupCenterType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder->add('permissionsgroup', EntityType::class, [
            'class' => 'Chill\MainBundle\Entity\PermissionsGroup',
            'choice_label' => static function (PermissionsGroup $group) {
                return $group->getName();
            },
        ])->add('center', EntityType::class, [
            'class' => 'Chill\MainBundle\Entity\Center',
            'choice_label' => static function (Center $center) {
                return $center->getName();
            },
        ]);
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefault('data_class', 'Chill\MainBundle\Entity\GroupCenter');
    }

    public function getBlockPrefix()
    {
        return 'composed_groupcenter';
    }
}
