<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Routing\MenuBuilder;

use Knp\Menu\MenuItem;

class LocationMenuBuilder implements \Chill\MainBundle\Routing\LocalMenuBuilderInterface
{
    public function buildMenu($menuId, MenuItem $menu, array $parameters)
    {
        $menu->addChild('Location type list', [
            'route' => 'chill_crud_main_location_type_index',
        ])->setExtras(['order' => 205]);

        $menu->addChild('Location list', [
            'route' => 'chill_crud_main_location_index',
        ])->setExtras(['order' => 206]);
    }

    public static function getMenuIds(): array
    {
        return ['admin_location'];
    }
}
