<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Routing\MenuBuilder;

use Knp\Menu\MenuItem;

class PermissionMenuBuilder implements \Chill\MainBundle\Routing\LocalMenuBuilderInterface
{
    public function buildMenu($menuId, MenuItem $menu, array $parameters)
    {
        $menu->addChild('Permissions group list', [
            'route' => 'admin_permissionsgroup',
        ])->setExtras([
            'order' => 300,
        ]);

        $menu->addChild('crud.admin_user.index.title', [
            'route' => 'chill_crud_admin_user_index',
        ])->setExtras(['order' => 400]);

        $menu->addChild('List circles', [
            'route' => 'admin_scope',
        ])->setExtras(['order' => 200]);

        $menu->addChild('Center list', [
            'route' => 'admin_center',
        ])->setExtras(['order' => 100]);

        $menu->addChild('User jobs', [
            'route' => 'chill_crud_admin_user_job_index',
        ])->setExtras(['order' => 150]);
    }

    public static function getMenuIds(): array
    {
        return ['admin_permissions'];
    }
}
