<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Search;

use RuntimeException;
use Throwable;

use function implode;

class SearchApiNoQueryException extends RuntimeException
{
    private array $parameters;

    private string $pattern;

    private array $types;

    public function __construct(string $pattern = '', array $types = [], array $parameters = [], $code = 0, ?Throwable $previous = null)
    {
        $typesStr = implode(', ', $types);
        $message = "No query for this search: pattern : {$pattern}, types: {$typesStr}";
        $this->pattern = $pattern;
        $this->types = $types;
        $this->parameters = $parameters;

        parent::__construct($message, $code, $previous);
    }
}
