<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Search\Utils;

class SearchExtractionResult
{
    private string $filteredSubject;

    private array $found;

    public function __construct(string $filteredSubject, array $found)
    {
        $this->filteredSubject = $filteredSubject;
        $this->found = $found;
    }

    public function getFilteredSubject(): string
    {
        return $this->filteredSubject;
    }

    public function getFound(): array
    {
        return $this->found;
    }

    public function hasResult(): bool
    {
        return [] !== $this->found;
    }
}
