<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Security\Authorization;

use Chill\MainBundle\Security\Resolver\CenterResolverDispatcherInterface;

class DefaultVoterHelperFactory implements VoterHelperFactoryInterface
{
    protected AuthorizationHelper $authorizationHelper;

    protected CenterResolverDispatcherInterface $centerResolverDispatcher;

    public function __construct(
        AuthorizationHelper $authorizationHelper,
        CenterResolverDispatcherInterface $centerResolverDispatcher
    ) {
        $this->authorizationHelper = $authorizationHelper;
        $this->centerResolverDispatcher = $centerResolverDispatcher;
    }

    public function generate($context): VoterGeneratorInterface
    {
        return new DefaultVoterHelperGenerator(
            $this->authorizationHelper,
            $this->centerResolverDispatcher
        );
    }
}
