<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Security\Resolver;

use Chill\MainBundle\Entity\HasCenterInterface;
use Chill\MainBundle\Entity\HasCentersInterface;
use UnexpectedValueException;

class DefaultCenterResolver implements CenterResolverInterface
{
    public static function getDefaultPriority(): int
    {
        return -256;
    }

    /**
     * @param HasCenterInterface $entity
     * @param array $options
     */
    public function resolveCenter($entity, ?array $options = [])
    {
        if ($entity instanceof HasCenterInterface) {
            return $entity->getCenter();
        }

        if ($entity instanceof HasCentersInterface) {
            return $entity->getCenters();
        }

        throw new UnexpectedValueException('should be an instanceof');
    }

    public function supports($entity, ?array $options = []): bool
    {
        return $entity instanceof HasCenterInterface || $entity instanceof HasCentersInterface;
    }
}
