<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Serializer\Model;

use Chill\MainBundle\Pagination\PaginatorInterface;

class Collection
{
    private $items;

    private PaginatorInterface $paginator;

    public function __construct($items, PaginatorInterface $paginator)
    {
        $this->items = $items;
        $this->paginator = $paginator;
    }

    public function getItems()
    {
        return $this->items;
    }

    public function getPaginator(): PaginatorInterface
    {
        return $this->paginator;
    }
}
