<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Serializer\Model;

use JsonSerializable;

class Counter implements JsonSerializable
{
    private int $counter;

    public function __construct(?int $counter)
    {
        $this->counter = $counter;
    }

    public function getCounter(): ?int
    {
        return $this->counter;
    }

    public function jsonSerialize()
    {
        return ['count' => $this->counter];
    }

    public function setCounter(?int $counter): Counter
    {
        $this->counter = $counter;

        return $this;
    }
}
