<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Templating\Listing;

use Symfony\Component\Form\FormFactoryInterface;
use Symfony\Component\HttpFoundation\RequestStack;

class FilterOrderHelperFactory implements FilterOrderHelperFactoryInterface
{
    private FormFactoryInterface $formFactory;

    private RequestStack $requestStack;

    public function __construct(
        FormFactoryInterface $formFactory,
        RequestStack $requestStack
    ) {
        $this->formFactory = $formFactory;
        $this->requestStack = $requestStack;
    }

    public function create(string $context, ?array $options = []): FilterOrderHelperBuilder
    {
        return new FilterOrderHelperBuilder($this->formFactory, $this->requestStack);
    }
}
