<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Templating\Listing;

use Twig\Environment;
use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

class Templating extends AbstractExtension
{
    public function getFilters()
    {
        return [
            new TwigFilter('chill_render_filter_order_helper', [$this, 'renderFilterOrderHelper'], [
                'needs_environment' => true, 'is_safe' => ['html'],
            ]),
        ];
    }

    public function renderFilterOrderHelper(
        Environment $environment,
        FilterOrderHelper $helper,
        ?string $template = '@ChillMain/FilterOrder/base.html.twig',
        ?array $options = []
    ) {
        return $environment->render($template, [
            'helper' => $helper,
            'form' => $helper->buildForm()->createView(),
            'options' => $options,
        ]);
    }
}
