<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\PersonBundle\Controller;

use Chill\MainBundle\CRUD\Controller\ApiController;
use Doctrine\ORM\QueryBuilder;
use Symfony\Component\HttpFoundation\Request;
use UnexpectedValueException;

class HouseholdCompositionTypeApiController extends ApiController
{
    /**
     * @param QueryBuilder $query
     */
    protected function customizeQuery(string $action, Request $request, $query): void
    {
        switch ($action) {
            case '_index':
                $query->andWhere($query->expr()->eq('e.active', "'TRUE'"));

                break;

            default:
                throw new UnexpectedValueException('unexepcted action: ' . $action);
        }
    }
}
