<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\PersonBundle\DataFixtures\ORM;

use Chill\PersonBundle\Service\Import\SocialWorkMetadata;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use Doctrine\Persistence\ObjectManager;
use Exception;
use League\Csv\Reader;
use Throwable;

class LoadSocialWorkMetadata extends Fixture implements OrderedFixtureInterface
{
    private SocialWorkMetadata $importer;

    public function __construct(SocialWorkMetadata $importer)
    {
        $this->importer = $importer;
    }

    public function getOrder()
    {
        return 9500;
    }

    public function load(ObjectManager $manager)
    {
        try {
            $csv = Reader::createFromPath(__DIR__ . '/data/social_work_metadata.csv');
        } catch (Throwable $e) {
            throw new Exception('Error while loading CSV.', 0, $e);
        }

        $csv->setDelimiter(';');

        $this->importer->import($csv);
    }
}
