<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\PersonBundle\Repository;

use Chill\MainBundle\Entity\User;
use Chill\PersonBundle\Entity\Person;

interface AccompanyingPeriodACLAwareRepositoryInterface
{
    public function countByUserOpenedAccompanyingPeriod(?User $user): int;

    public function findByPerson(
        Person $person,
        string $role,
        ?array $orderBy = [],
        ?int $limit = null,
        ?int $offset = null
    ): array;

    public function findByUserOpenedAccompanyingPeriod(?User $user, array $orderBy = [], int $limit = 0, int $offset = 50): array;
}
