<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\PersonBundle\Tests\Export\Aggregator;

use Chill\MainBundle\Test\Export\AbstractAggregatorTest;
use DateTime;

/**
 * @internal
 * @coversNothing
 */
final class AgeAggregatorTest extends AbstractAggregatorTest
{
    /**
     * @var \Chill\PersonBundle\Export\Aggregator\AgeAggregator
     */
    private $aggregator;

    protected function setUp(): void
    {
        self::bootKernel();

        $this->aggregator = self::$container->get('chill.person.export.aggregator_age');
    }

    public function getAggregator()
    {
        return $this->aggregator;
    }

    public function getFormData()
    {
        return [
            [
                'date_age_calculation' => DateTime::createFromFormat('Y-m-d', '2016-06-16'),
            ],
        ];
    }

    public function getQueryBuilders()
    {
        if (null === self::$kernel) {
            self::bootKernel();
        }

        $em = self::$container
            ->get('doctrine.orm.entity_manager');

        return [
            $em->createQueryBuilder()
                ->select('count(person.id)')
                ->from('ChillPersonBundle:Person', 'person'),
        ];
    }
}
